# Class CategorizedTextEditGroup

java.lang.Object
org.eclipse.text.edits.TextEditGroup
org.eclipse.ltk.core.refactoring.CategorizedTextEditGroup

public class CategorizedTextEditGroup extends TextEditGroup
A special text edit group that manages an additional set of group categories.

Note: this class is not intended to be subclassed

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`CategorizedTextEditGroup(String name, GroupCategorySet groupCategories)`
Creates a new text edit group with the given name and group categories.
`CategorizedTextEditGroup(String name, TextEdit[] edits, GroupCategorySet groupCategories)`
Creates a new text edit group with the given name, array of edits and a set of group categories.
`CategorizedTextEditGroup(String name, TextEdit edit, GroupCategorySet groupCategories)`
Creates a new text edit group with a name, a single `TextEdit` and a set of group categories.

## Method Summary

Modifier and Type
Method
Description
`GroupCategorySet`
`getGroupCategorySet()`
Returns the set of group categories.

### Methods inherited from class TextEditGroup

`addTextEdit, clearTextEdits, getName, getRegion, getTextEdits, isEmpty, removeTextEdit`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CategorizedTextEditGroup

public CategorizedTextEditGroup(String name, GroupCategorySet groupCategories)
Creates a new text edit group with the given name and group categories.

Parameters:
  `name` - the name of the text edit group. Must be a human readable string
  `groupCategories` - a set of group categories

### CategorizedTextEditGroup

public CategorizedTextEditGroup(String name, TextEdit edit, GroupCategorySet groupCategories)
Creates a new text edit group with a name, a single `TextEdit` and a set of group categories.

Parameters:
  `name` - the name of the text edit group. Must be a human readable string
  `edit` - the edit to manage
  `groupCategories` - a set of group categories

### CategorizedTextEditGroup

public CategorizedTextEditGroup(String name, TextEdit[] edits, GroupCategorySet groupCategories)
Creates a new text edit group with the given name, array of edits and a set of group categories.

Parameters:
  `name` - the name of the text edit group. Must be a human readable string
  `edits` - the array of edits
  `groupCategories` - a set of group categories

## Method Details

### getGroupCategorySet

public GroupCategorySet getGroupCategorySet()
Returns the set of group categories.

Returns:
  the group categories of this text edit group